#GHDL=c:\Elec\Ghdl\Bin\ghdl.exe
GHDL=ghdl
GHDLFLAGS=--ieee=synopsys -fexplicit --workdir=work
GHDLRUNFLAGS=--vcd=alu.vcd --stop-time=1000ns

# Default target : elaborate
all : elab

# Elaborate target.  Almost useless
elab : force
	$(GHDL) -c $(GHDLFLAGS) -e alu_tb

# Run target
run: force
	$(GHDL) --elab-run $(GHDLFLAGS) alu_tb $(GHDLRUNFLAGS)

# Targets to analyze libraries
init: force
	mkdir work
	$(GHDL) -a $(GHDLFLAGS) alu.vhd
	$(GHDL) -a $(GHDLFLAGS) alu_tb.vhd

force:

clean :
	rm -rf *.o work
