#GHDL=c:\Elec\Ghdl\Bin\ghdl.exe
GHDL=ghdl
GHDLFLAGS=--ieee=synopsys -fexplicit --workdir=work
GHDLRUNFLAGS=--vcd=cplxfunc.vcd --stop-time=500ns

# Default target : elaborate
all : elab

# Elaborate target.  Almost useless
elab : force
	$(GHDL) -c $(GHDLFLAGS) -e cplxfunc_tb

# Run target
run: force
	$(GHDL) --elab-run $(GHDLFLAGS) cplxfunc_tb $(GHDLRUNFLAGS)

# Targets to analyze libraries
init: force
	mkdir work
	$(GHDL) -a $(GHDLFLAGS) cplxfunc.vhd
	$(GHDL) -a $(GHDLFLAGS) cplxfunc_tb.vhd

force:

clean :
	rm -rf *.o work
