library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
--use IEEE.std_logic_unsigned.all;

entity cplxfunc is	 
  port (			  
    a, b, c, d : in std_logic_vector(7 downto 0);
		o1, o2, o3 : out std_logic_vector(7 downto 0)
  );
end cplxfunc;

architecture rtl of cplxfunc is
  signal t1, t3: unsigned(7 downto 0);
--  signal t1, t3: std_logic_vector(7 downto 0);
begin                              
  process (a,b,c,d,t1,t3)
	begin
	  t3 <= unsigned(c) and unsigned(d);
    t1 <= unsigned(a) + unsigned(b);
	  o2 <= std_logic_vector(unsigned(t1) + unsigned(t3));
	  o1 <= std_logic_vector(t1);
	  o3 <= std_logic_vector(t3);
  end process;
  --t3 <= c and d;
  --t1 <= a + b;
	--o2 <= t1 + t3;
	--o1 <= t1;
	--o3 <= t3;
end rtl;
