library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity cplxfunc_tb is
end cplxfunc_tb;

architecture tb_arch of cplxfunc_tb is
  component cplxfunc
    port (			  
      a, b, c, d : in std_logic_vector(7 downto 0);
		  o1, o2, o3 : out std_logic_vector(7 downto 0)
    );
  end component;
  -- 
	signal a, b, c, d: std_logic_vector(7 downto 0);
	signal o1, o2, o3: std_logic_vector(7 downto 0);
  --
  constant CLK_PERIOD : time := 50 ns;
  --
begin

  uut : cplxfunc
    port map (
      a => a,
			b => b,
			c => c,
			d => d,
			o1 => o1,
			o2 => o2,
			o3 => o3
    );

  DATA_INPUT: process
  begin
    a <= X"DE";
		b <= X"AD";
		c <= X"BE";
		d <= X"EF"; 
		wait for CLK_PERIOD;
		--
    b <= X"DE";
		c <= X"AD";
		d <= X"BE";
		a <= X"EF"; 
		wait for CLK_PERIOD;
		--
    c <= X"DE";
		d <= X"AD";
		a <= X"BE";
		b <= X"EF"; 
		wait for CLK_PERIOD;
		--
    d <= X"DE";
		a <= X"AD";
		b <= X"BE";
		c <= X"EF"; 
		wait for CLK_PERIOD;
  end process DATA_INPUT;

end tb_arch;
