#GHDL=c:\Elec\Ghdl\Bin\ghdl.exe
GHDL=ghdl
GHDLFLAGS=--ieee=synopsys -fexplicit --workdir=work
#GHDLFLAGS=-fexplicit --workdir=work
GHDLRUNFLAGS=--vcd=datapath.vcd --stop-time=1000ns

# Default target : elaborate
all : elab

# Elaborate target.  Almost useless
elab : force
	$(GHDL) -c $(GHDLFLAGS) -e datapath_tb

# Run target
run: force
	$(GHDL) --elab-run $(GHDLFLAGS) datapath_tb $(GHDLRUNFLAGS)

# Targets to analyze libraries
init: force
	mkdir work
	$(GHDL) -a $(GHDLFLAGS) various_pkg.vhd
	$(GHDL) -a $(GHDLFLAGS) regn.vhd
	$(GHDL) -a $(GHDLFLAGS) cplxfunc.vhd
	$(GHDL) -a $(GHDLFLAGS) datapath.vhd	
	$(GHDL) -a $(GHDLFLAGS) datapath_tb.vhd

force:

clean :
	rm -rf *.o work
