-------------------------------------------------------------
-- ADD operator
-------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity instr_add is
  generic ( 
    DW : integer := 32
  );
  port (
  a_i:      in std_logic_vector(DW-1 downto 0);
  b_i:      in std_logic_vector(DW-1 downto 0);
  c_o:      out std_logic_vector(DW-1 downto 0)
);
end instr_add;

architecture add_beh of instr_add is
begin
  process (a_i, b_i)
  begin
    -- add operation
    c_o <= a_i + b_i;
  end process;
  --
end add_beh;

--configuration cfg_add of instr_add is
--  for add_beh
--  end for;
--end cfg_add;
