-------------------------------------------------------------
-- AND operator
-------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity instr_and is
  generic (
    DW  : integer := 32
  );
  port (
    a_i : in  std_logic_vector(DW-1 downto 0);
    b_i : in  std_logic_vector(DW-1 downto 0);
    c_o : out std_logic_vector(DW-1 downto 0)
);
end instr_and;

architecture instr_and_beh of instr_and is
begin
  process (a_i, b_i)
  begin
    -- and operation
    c_o <= a_i and b_i;
  end process;
  --
end instr_and_beh;

--configuration cfg_instr_and of instr_and is
--  for instr_and_beh
--  end for;
--end cfg_instr_and;
