-------------------------------------------------------------
-- MOV operator
-------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity instr_mov is
  generic (
    DW  : integer := 32
  );
  port (
    a_i : in  std_logic_vector(DW-1 downto 0);
    c_o : out std_logic_vector(DW-1 downto 0)
  );
end instr_mov;

architecture instr_mov_beh of instr_mov is
begin
  process (a_i)
  begin
    -- mov operation
    c_o <= a_i;
  end process;
  --
end instr_mov_beh;

--configuration cfg_instr_mov of instr_mov is
--  for instr_mov_beh
--  end for;
--end cfg_instr_mov;
