-------------------------------------------------------------
-- XOR operator
-------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_unsigned.all;

entity instr_xor is
  generic (
    DW  : integer := 32
  );
  port (
    a_i : in  std_logic_vector(DW-1 downto 0);
    b_i : in  std_logic_vector(DW-1 downto 0);
    c_o : out std_logic_vector(DW-1 downto 0)
);
end instr_xor;

architecture instr_xor_beh of instr_xor is
begin
  process (a_i, b_i)
  begin
    c_o <= a_i xor b_i;
  end process;
  --
end instr_xor_beh;

--configuration cfg_instr_xor of instr_xor is
--  for instr_xor_beh
--  end for;
--end cfg_instr_xor;
