entity parity_det_tb is
end parity_det_tb;

architecture tb_arch of parity_det_tb is
  component parity_det
    generic (
      n : integer := 7
    ); 
    port (			  
      input  : in bit_vector(n downto 0);
      output : out bit
    );  
	end component;
  -- 
	signal input : bit_vector(7 downto 0);
	signal output : bit;
	--
  constant CLK_PERIOD : time := 50 ns;
  --
begin

  uut : parity_det
	  generic map (
		  n => 7
	  )
    port map (
      input => input,
			output => output
    );

	DATA_INPUT: process
  begin
    input <= "00000000";
		wait for CLK_PERIOD;
		--
    input <= "00000001";
		wait for CLK_PERIOD;
		--
    input <= "00000010";
		wait for CLK_PERIOD;
		--
    input <= "00000011";
		wait for CLK_PERIOD;
		--
    input <= "00000100";
		wait for CLK_PERIOD;
		--
    input <= "00000101";
		wait for CLK_PERIOD;
		--
    input <= "00000110";
		wait for CLK_PERIOD;
		--
    input <= "00000111";
		wait for CLK_PERIOD;
		--
    input <= "00001000";
		wait for CLK_PERIOD;
		--
    input <= "00001001";
		wait for CLK_PERIOD;
		--
  end process DATA_INPUT;

end tb_arch;
