#GHDL=c:\Elec\Ghdl\Bin\ghdl.exe
GHDL=ghdl
#GHDLFLAGS=--ieee=synopsys -fexplicit --workdir=work
GHDLFLAGS=-fexplicit --workdir=work
GHDLRUNFLAGS=--vcd=muxnto1.vcd --stop-time=100ns

# Default target : elaborate
all : elab

# Elaborate target.  Almost useless
elab : force
	$(GHDL) -c $(GHDLFLAGS) -e muxnto1_tb

# Run target
run: force
	$(GHDL) --elab-run $(GHDLFLAGS) muxnto1_tb $(GHDLRUNFLAGS)

# Targets to analyze libraries
init: force
	mkdir work
	$(GHDL) -a $(GHDLFLAGS) various_pkg.vhd
	$(GHDL) -a $(GHDLFLAGS) muxnto1.vhd
	$(GHDL) -a $(GHDLFLAGS) muxnto1_tb.vhd

force:

clean :
	rm -rf *.o work
