library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;
--use IEEE.std_logic_unsigned.all;
--use IEEE.std_logic_arith.all;
use work.various_pkg.all;

entity muxnto1 is	 
  generic (
    N : integer := 8
  );
  port (			  
    inp   : in std_logic_vector(N-1 downto 0);
		sel   : in std_logic_vector(log2c(N)-1 downto 0);
		outp  : out std_logic
  );
end muxnto1;

architecture rtl of muxnto1 is
begin                              
--  process (inp, sel)
--	begin
	  outp <= inp(to_integer(unsigned(sel)));
--	  outp <= inp(conv_integer(sel));
--  end process;
end rtl;
