entity parity_det is	 
  generic (
    n : integer := 7
  );
  port (			  
    input  : in bit_vector(n downto 0);
    output : out bit
  );
end parity_det;

architecture rtl of parity_det is
begin                              
  process (input)
    variable temp: bit;
  begin
    temp := '0';
    for i in input'RANGE loop
      temp := temp xor input(i);
    end loop;
    output <= temp;
  end process;
end rtl;

