#GHDL=c:\Elec\Ghdl\Bin\ghdl.exe
GHDL=ghdl
GHDLFLAGS=-fexplicit --workdir=work
GHDLRUNFLAGS=--vcd=parity_gen.vcd --stop-time=600ns

# Default target : elaborate
all : elab

# Elaborate target.  Almost useless
elab : force
	$(GHDL) -c $(GHDLFLAGS) -e parity_gen_tb

# Run target
run: force
	$(GHDL) --elab-run $(GHDLFLAGS) parity_gen_tb $(GHDLRUNFLAGS)

# Targets to analyze libraries
init: force
	mkdir work
	$(GHDL) -a $(GHDLFLAGS) parity_gen.vhd
	$(GHDL) -a $(GHDLFLAGS) parity_gen_tb.vhd

force:

clean :
	rm -rf *.o work
