use std.standard.all;

entity parity_gen_tb is
end parity_gen_tb;

architecture tb_arch of parity_gen_tb is
  component parity_gen
    generic (
      n : integer := 7
    ); 
    port (			  
      input  : in bit_vector(n-1 downto 0);
      output : out bit_vector(n downto 0)
    );  
	end component;
  -- 
	signal input : bit_vector(6 downto 0);
	signal output : bit_vector(7 downto 0);
	--
  constant CLK_PERIOD : time := 50 ns;
  --
begin

  uut : parity_gen
	  generic map (
		  n => 7
	  )
    port map (
      input => input,
			output => output
    );

	DATA_INPUT: process
  begin
    input <= "0000000";
		wait for CLK_PERIOD;
		--
    input <= "0000001";
		wait for CLK_PERIOD;
		--
    input <= "0000010";
		wait for CLK_PERIOD;
		--
    input <= "0000011";
		wait for CLK_PERIOD;
		--
    input <= "0000100";
		wait for CLK_PERIOD;
		--
    input <= "0000101";
		wait for CLK_PERIOD;
		--
    input <= "0000110";
		wait for CLK_PERIOD;
		--
    input <= "0000111";
		wait for CLK_PERIOD;
		--
    input <= "0001000";
		wait for CLK_PERIOD;
		--
    input <= "0001001";
		wait for CLK_PERIOD;
		--
  end process DATA_INPUT;

end tb_arch;
